Part FügeVerbinden

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part JoinConnect and the translation is 41% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Previous: Part JoinConnect.svg Join features
Next: Embed Part JoinEmbed.svg Arrow-right.svg

Part JoinConnect.svg Part JoinConnect

Menu location
Part → Join → Connect objects
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Connect, Embed, Cutout, Part Boolean, Part Thickness


Description

Beschreibung

Das Verbinden Werkzeug verbindet die Innenbereiche von zwei Hohlobjekten (z.B. Rohre). Es kann auch Schalen und Drähte verbinden.

JoinFeatures Connect.png

Usage

Anwendung

  1. Wähle die zu verbindenden Objekte aus.
    Die Reihenfolge der Auswahl ist nicht wichtig, da die Wirkung des Werkzeugs symmetrisch ist. Es genügt, von jedem Objekt (z.B. Flächen) eine Teilform auszuwählen. Du kannst auch eine Verbindung auswählen, die alle zu verbindenden Formen enthält, z.B. Draft Array.
  2. Rufe den Befehl Part FügenVerbinden auf.

Ein parametrisches Verbindungsobjekt wird erstellt. Originalobjekte werden ausgeblendet, und das Ergebnis der Verbindung wird in der 3D Ansicht angezeigt.

Properties

Eigenschaften==

Verbindung

  • DataObjects: Liste der zu verbindenden Objekte. Im Allgemeinen werden mindestens zwei Objekte benötigt, aber ein einziger Verbund, der die zu verbindenden Formen enthält, reicht ebenfalls aus. (ab FreeCAD v0.17.8053 wird diese Eigenschaft nicht mehr im Eigenschaftseditor angezeigt und kann nur über Python aufgerufen werden).
  • Daten-EigenschaftVerfeinern: Legt fest, ob die Operation Verfeinern auf die endgültige Form angewendet werden soll oder nicht. Der Standardwert wird durch ein Kontrollkästchen 'Form nach boolescher Operation automatisch verfeinern' in den PartDesign Einstellungen bestimmt.
  • Daten-EigenschaftToleranz: "Unschärfe" Wert. Dies ist eine zusätzliche Toleranz, die bei der Suche nach Schnittmengen zusätzlich zu den in den Eingabeformen gespeicherten Toleranzen anzuwenden ist.

Example

Beispiel===

  1. Erstelle ein Rohr, indem Du Dicke auf einen Zylinder anwendest:
    JoinFeatures Example step1.png
  2. Erstelle ein weiteres Rohr mit kleinerem Durchmesser und platziere es so, dass es die Wand des ersten Rohres durchdringt:
    JoinFeatures Example step2.png
  3. Wähle das erste Rohr und das zweite Rohr aus und klicke auf die Option "Objekte verbinden" in der Symbolleiste der Verbindungswerkzeuge.
    JoinFeatures Example step3 Connect.png
  4. Verwende ein Querschnittswerkzeug (Ausschnittebene, Arch Abschnittebene, Arch Schneideebene), um Einbauten freizulegen. Auf dem Bild unten wird die Bogenschnittebene verwendet.
    JoinFeatures Example step4 Connect.png

Algorithmus==

Die Algorithmen hinter den Fügewerkzeugen sind recht einfach, und es ist wichtig, sie zu verstehen, um die Werkzeuge richtig zu verwenden. Insbesondere der Algorithmus von Verbinden ist etwas komplexer als andere, aber es genügt im Allgemeinen, ihn als symmetrische Variante von Algorithmus einbetten zu betrachten.

1. Jedes Objekt wird durch Überschneidungen mit anderen Objekten in Stücke zerlegt. (siehe Part Boolsche Fragmente)

2. Von den Teilen eines Objekts wird nur das größte beibehalten; alle anderen werden entfernt.

3. Überschneidungselemente, die mindestens zwei Objekte berühren, werden dem Ergebnis hinzugefügt. Anschließend werden die Teile miteinander verbunden, um das Ergebnis von Verbinden zu bilden.

Notes

Hinweise

  • Wenn bei Schritt 1 jedes Objekt in einem Stück verbleibt, entspricht das Ergebnis von Verbinden dem von Vereinigen von Objekten.
  • Jetzt werden alle gelieferten Verbindungen vor dem Anschluss zerlegt. Das bedeutet, dass selbstverschneidende Verbindungen, die für alle anderen booleschen Operationen ungültig sind, für Verbinden gültig sind. (Dies kann in Zukunft geändert werden.)
  • Das "größte" Stück ist dasjenige mit der größten Masse. Das heißt, für Festkörper werden Volumen verglichen; für Hüllen und Flächen werden Flächen verglichen, usw.
  • Seit FreeCAD v0.17.8053 und wenn die OCC-Version 6.9.0 und höher ist, ist Verbinden fast so schnell wie alle anderen booleschen Operationen. Bei älteren Versionen ist Verbinden etwa 5 mal langsamer als ein normaler boolescher Vorgang und funktioniert nur bei Festkörpern.

Skripten

Die Fügewerkzeuge können in macros/de und von der Python-Konsole aus mit der folgenden Funktion verwendet werden:

BOPTools.JoinFeatures.makeConnect(name)
  • Erstellt eine leere Verbindungsfunktion. Die Eigenschaft 'Objekte' muss anschließend explizit zugewiesen werden.
  • Liefert das neu erstellte Objekt.

Verbinden kann auch auf einfache Formen angewendet werden, ohne dass ein Dokumentenobjekt benötigt wird:

Part.BOPTools.JoinAPI.connect(list_of_shapes, tolerance = 0.0)

Dies kann nützlich sein, um benutzerdefinierte Python Skriptfunktionen zu erstellen.

Beispiel:

import Part
j = Part.BOPTools.JoinFeatures.makeConnect(name= 'Connect')
j.Objects = FreeCADGui.Selection.getSelection()

Das Werkzeug selbst ist in Python implementiert, siehe /Mod/Part/BOPTools/JoinFeatures.py unter FreeCAD.

Version==

Das Werkzeug wurde in FreeCAD v0.16.5069 eingeführt.

Das Werkzeug wurde neu implementiert, um über allgemeinVerbindung in FreeCAD v0.17.8053 zu funktionieren.

Arrow-left.svg Previous: Part JoinConnect.svg Join features
Next: Embed Part JoinEmbed.svg Arrow-right.svg